Update workspace
Update workspace name, billingEmail, and/or settings. Only owners and admins can
perform this action. Workspace keys can only update their own workspace.
curl -X PATCH "https://api.sendkit.ai/v1/workspaces/example_string" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-d '{
"name": "Renamed Sales Team",
"billingEmail": "billing@example.com",
"settings": {
"allowMemberInvites": true,
"defaultRole": "member"
}
}'
import requests
import json
url = "https://api.sendkit.ai/v1/workspaces/example_string"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
data = {
"name": "Renamed Sales Team",
"billingEmail": "billing@example.com",
"settings": {
"allowMemberInvites": true,
"defaultRole": "member"
}
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/workspaces/example_string", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"name": "Renamed Sales Team",
"billingEmail": "billing@example.com",
"settings": {
"allowMemberInvites": true,
"defaultRole": "member"
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Renamed Sales Team",
"billingEmail": "billing@example.com",
"settings": {
"allowMemberInvites": true,
"defaultRole": "member"
}
}`)
req, err := http.NewRequest("PATCH", "https://api.sendkit.ai/v1/workspaces/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/workspaces/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request.body = '{
"name": "Renamed Sales Team",
"billingEmail": "billing@example.com",
"settings": {
"allowMemberInvites": true,
"defaultRole": "member"
}
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Renamed Sales Team",
"billingEmail": "billing@example.com",
"settings": {
"allowMemberInvites": true,
"defaultRole": "member"
}
}
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/v1/workspaces/{workspaceId}Target server for requests. Edit to use your own host.
Platform API key (sk_user_...) or Workspace API key (sk_...)
Workspace ID
The media type of the request body
New workspace name
Billing email for the workspace
Settings to merge into existing workspace settings
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
Path Parameters
Workspace ID
Body
New workspace name
Billing email for the workspace
Settings to merge into existing workspace settings